<?php

$contents = file_get_contents("template.html");

preg_match_all("/<%(.*?)%>/si", $contents, $matches);
$matches[1] = array_map("splitOptions", $matches[1]);

// Find the split count
$max = 0;
foreach ($matches[1] as $value) {
   $max = max($max, count($value));
}

// Choose a random split
$split = mt_rand(1, $max) - 1;

for ($i=0;$i<count($matches[0]);$i++) {
   $originalValue = $matches[0][$i];
   $newArray = $matches[1][$i];

   // Choose the split in the replacement array
   if (array_key_exists($split, $newArray)) {
      $newValue = $newArray[$split];
   }

   // Or the 0th element if the chosen split does not exist
   else {
      $newValue = $newArray[0];
   }

   $contents = str_replace($originalValue, $newValue, $contents);
}

echo $contents;

function splitOptions($input) {
   return explode("|", $input);
}

?>